fse.vo

## Class Consenso

- java.lang.Object
- - fse.vo.Consenso

-     public class Consenso
      extends java.lang.Object

  Container delle informazioni su un singolo consenso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `date`
    `private java.lang.String` | `id`
    `private java.lang.String` | `name`
    `private java.lang.String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Consenso()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDate()` Ritorna la data in cui è stato impostato il consenso
    `java.lang.String` | `getId()` Ritorna l'ID del consenso {C1|C2|C3}
    `java.lang.String` | `getName()` Ritorna il nome del consenso (Alimentazione, Consultazione o Pregresso)
    `java.lang.String` | `getValue()` Ritorna lo stato attuale del consenso (true, false o none)
    `void` | `setDate(java.lang.String date)` Imposta la data in cui è stato impostato il consenso
    `void` | `setId(java.lang.String id)` Imposta l'ID del consenso {C1|C2|C3}
    `void` | `setName(java.lang.String name)` Imposta il nome del consenso (Alimentazione, Consultazione o Pregresso)
    `void` | `setValue(java.lang.String value)` Imposta lo stato attuale del consenso (true, false o none)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          private java.lang.String name

    - #### id

          private java.lang.String id

    - #### value

          private java.lang.String value

    - #### date

          private java.lang.String date

  - ### Constructor Detail

    - #### Consenso

          public Consenso()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Ritorna l'ID del consenso {C1|C2|C3}
      Returns:
        C1,C2, C3 per alimentazione, consultazione, pregresso

    - #### setId

          public void setId(java.lang.String id)

      Imposta l'ID del consenso {C1|C2|C3}
      Parameters:
        `C1,C2,` - C3 per alimentazione, consultazione, pregresso

    - #### getName

          public java.lang.String getName()

      Ritorna il nome del consenso (Alimentazione, Consultazione o Pregresso)

    - #### setName

          public void setName(java.lang.String name)

      Imposta il nome del consenso (Alimentazione, Consultazione o Pregresso)

    - #### getValue

          public java.lang.String getValue()

      Ritorna lo stato attuale del consenso (true, false o none)

    - #### setValue

          public void setValue(java.lang.String value)

      Imposta lo stato attuale del consenso (true, false o none)

    - #### getDate

          public java.lang.String getDate()

      Ritorna la data in cui è stato impostato il consenso

    - #### setDate

          public void setDate(java.lang.String date)

      Imposta la data in cui è stato impostato il consenso